# $Revision: 1.10 $, $Date: 2004/03/15 22:41:21 $
Summary:	Utility for wildcard renaming, copying, etc
Summary(pl):	Narzdzie do zmiany nazw i kopiowania wielu plikw naraz
Name:		mmv
Version:	1.0.1b
Release:	6
License:	Freeware
Group:		Applications/File
Source0:	ftp://ftp.usg.edu/pub/unix/packages/%{name}-%{version}.tar.gz
# Source0-md5:	3bbf82c9e52a35183c5d596ae66fd9bc
Patch0:		%{name}-linux.patch
Patch1:		%{name}-cpp_macros.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is mmv, a program to move/copy/append/link multiple files
according to a set of wildcard patterns. This multiple action is
performed safely, i.e. without any unexpected deletion of files due to
collisions of target names with existing filenames or with other
target names. Furthermore, before doing anything, mmv attempts to
detect any errors that would result from the entire set of actions
specified and gives the user the choice of either aborting before
beginning, or proceeding by avoiding the offending parts.

%description -l pl
mmv jest programem do przenoszenia, kopiowania, czenia wielu plikw
wedug zestawu masek. Czynnoci te s wykonywane bezpiecznie, bez
przypadkowego skasowania plikw z powodu konfliktu nazw z plikami
istniejcymi lub innymi docelowymi. Co wicej, przed wykonaniem
czegokolwiek mmv prbuje wykry wszelkie bdy, ktre wynikyby z
wykonania wszystkich podanych akcji i daje uytkownikowi wybr midzy
anulowaniem caoci operacji lub wykonaniem z pominiciem bdnych
czci.

%prep
%setup -q -c
%patch0 -p1
%patch1 -p1

%build
%{__cc} %{rpmldflags} %{rpmcflags} -DIS_SYSV -DHAS_DIRENT -DHAS_RENAME -o mmv mmv.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install mmv $RPM_BUILD_ROOT%{_bindir}
ln -sf mmv $RPM_BUILD_ROOT%{_bindir}/mad
ln -sf mmv $RPM_BUILD_ROOT%{_bindir}/mcp
ln -sf mmv $RPM_BUILD_ROOT%{_bindir}/mln

install mmv.1 $RPM_BUILD_ROOT%{_mandir}/man1
echo ".so mmv.1" > $RPM_BUILD_ROOT%{_mandir}/man1/mad.1
echo ".so mmv.1" > $RPM_BUILD_ROOT%{_mandir}/man1/mcp.1
echo ".so mmv.1" > $RPM_BUILD_ROOT%{_mandir}/man1/mln.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ANNOUNCE READ.ME ARTICLE
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mmv.spec,v $
Revision 1.10  2004/03/15 22:41:21  qboosh
- longer pl description, release 6

Revision 1.9  2003/05/28 12:59:45  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 05:50:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2002/12/02 11:06:22  ankry
- massive cleaning

Revision 1.6  2002/11/27 22:06:22  juandon
- new %%doc

Revision 1.5  2002/02/23 03:54:20  kloczek
- adapterized.

Revision 1.4  2002/02/22 23:29:17  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:13:53  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/12/20 18:24:57  qrczak
- mmv-cpp_macros.patch: avoid #ifdef in cpp macros.
- Release 5.

Revision 1.1  2001/05/12 08:45:34  qboosh
- taken from redhat-contrib and adapted to PLD
- patch needed to compile on Linux+glibc
